Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.mapinfoapi
Class MIFStyle2SLD

    java.lang.Object
      org.deegree.io.mapinfoapi.MIFStyle2SLD

    public class MIFStyle2SLD

extends Object

`MIFStyle2SLD`

Version:
  $Revision:$, $Date:$
Author:
  Andreas Schmitz, last edited by: $Author:$

Constructor Summary
`MIFStyle2SLD(String symbolFont)`
`MIFStyle2SLD(URL symbolFont)`

Method Summary
`static void` | `appendIDFilter(String id, Element rule)`
`static XMLFragment` | `getSLDTemplate(String name)`
`XMLFragment` | `getStyle(Map<String,HashSet<HashMap<String,String>>> styles, String name)`
`static void` | `insertBrushStyle(Map<String,String> map, XMLFragment doc, String name)`
`static void` | `insertPenStyle(Map<String,String> map, XMLFragment doc)`
`void` | `insertSymbolStyle(Map<String,String> map, XMLFragment doc)`
`static void` | `insertTextStyle(Map<String,String> map, XMLFragment doc)`
`static String` | `multiplyPattern(String pattern, int mult)`
`static BufferedImage` | `renderSVGImage(XMLFragment doc, int size)`
`static BufferedImage` | `symbolFromFont(Font font, char theChar, int size, Color color)`
`static BufferedImage` | `symbolFromTwoChars(Font font, char theChar1, char theChar2, int size, Color color1, Color color2)`
`static String` | `toHexColor(Color col)`
`static void` | `updateFillPatternSVG(XMLFragment doc, String foreground, String background)`
`static void` | `updateSVGColors(XMLFragment doc, String fill, String stroke)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MIFStyle2SLD

    public MIFStyle2SLD(String symbolFont)
                 throws FontFormatException,
                        IOException

Parameters:
  `symbolFont` -
Throws:
  `FontFormatException`
  `IOException`

### MIFStyle2SLD

    public MIFStyle2SLD(URL symbolFont)
                 throws FontFormatException,
                        IOException

Parameters:
  `symbolFont` -
Throws:
  `FontFormatException`
  `IOException`

Method Detail

### getSLDTemplate

    public static XMLFragment getSLDTemplate(String name)

  Parameters:
    `name` - the layer name
  Returns:
    an empty SLD document

### appendIDFilter

    public static void appendIDFilter(String id,
                                      Element rule)

  Parameters:
    `id` -
    `rule` -

### insertSymbolStyle

    public void insertSymbolStyle(Map<String,String> map,
                                  XMLFragment doc)
                           throws DOMException,
                                  IOException,
                                  XMLParsingException,
                                  SAXException

  Parameters:
    `map` -
    `doc` -
  Throws:
    `DOMException`
    `IOException`
    `XMLParsingException`
    `SAXException`

### multiplyPattern

    public static String multiplyPattern(String pattern,
                                         int mult)

  Parameters:
    `pattern` - a pattern like "1 2 1 2"
    `mult` -
  Returns:
    the new pattern with each value multiplied by mult

### insertPenStyle

    public static void insertPenStyle(Map<String,String> map,
                                      XMLFragment doc)
                               throws MalformedURLException,
                                      IOException,
                                      SAXException,
                                      XMLParsingException

  Parameters:
    `map` -
    `doc` -
  Throws:
    `XMLParsingException`
    `SAXException`
    `IOException`
    `MalformedURLException`

### insertBrushStyle

    public static void insertBrushStyle(Map<String,String> map,
                                        XMLFragment doc,
                                        String name)
                                 throws MalformedURLException,
                                        IOException,
                                        SAXException,
                                        XMLParsingException

  Parameters:
    `map` -
    `doc` -
    `name` -
  Throws:
    `SAXException`
    `IOException`
    `MalformedURLException`
    `XMLParsingException`

### insertTextStyle

    public static void insertTextStyle(Map<String,String> map,
                                       XMLFragment doc)
                                throws XMLParsingException

  Parameters:
    `map` -
    `doc` -
  Throws:
    `XMLParsingException`

### getStyle

    public XMLFragment getStyle(Map<String,HashSet<HashMap<String,String>>> styles,
                                String name)

  Parameters:
    `styles` -
    `name` - the layer name
  Returns:
    a SLD document with temporary file references for point symbols

### renderSVGImage

    public static BufferedImage renderSVGImage(XMLFragment doc,
                                               int size)

  Parameters:
    `doc` -
    `size` -
  Returns:
    an SVG image with black colors overwritten with the given colors

### toHexColor

    public static String toHexColor(Color col)

  Parameters:
    `col` -
  Returns:
    a #rrggbb string

### updateSVGColors

    public static void updateSVGColors(XMLFragment doc,
                                       String fill,
                                       String stroke)
                                throws XMLParsingException

  Parameters:
    `doc` -
    `stroke` -
    `fill` -
  Throws:
    `XMLParsingException`

### updateFillPatternSVG

    public static void updateFillPatternSVG(XMLFragment doc,
                                            String foreground,
                                            String background)
                                     throws XMLParsingException

  Parameters:
    `doc` -
    `foreground` -
    `background` -
  Throws:
    `XMLParsingException`

### symbolFromFont

    public static BufferedImage symbolFromFont(Font font,
                                               char theChar,
                                               int size,
                                               Color color)

  Parameters:
    `font` -
    `theChar` -
    `size` -
    `color` -
  Returns:
    an image the char has been written onto

### symbolFromTwoChars

    public static BufferedImage symbolFromTwoChars(Font font,
                                                   char theChar1,
                                                   char theChar2,
                                                   int size,
                                                   Color color1,
                                                   Color color2)

  Parameters:
    `font` -
    `theChar1` -
    `theChar2` -
    `size` -
    `color1` -
    `color2` -
  Returns:
    an image with the second char written over the first one

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org